﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{26DEEFBB-3F7D-4D0B-88D2-585E8AE9BFC6}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>TwinTail.Entities</RootNamespace>
    <AssemblyName>TwinTail.Entities</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject>
    </StartupObject>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.SqlServer.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.SqlServerCompact, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.SqlServerCompact.6.1.3\lib\net45\EntityFramework.SqlServerCompact.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=8.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.8.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.SqlServerCe, Version=4.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.SqlServer.Compact.4.0.8876.1\lib\net40\System.Data.SqlServerCe.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Account.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="AirStatus.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="Anime.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="AnimeType.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="ApiService.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="ArchiveEntry.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="ArchiveStatus.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="Fansub.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="Genre.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="Partials\Account.cs" />
    <Compile Include="Partials\Anime.cs" />
    <Compile Include="Partials\ArchiveEntry.cs" />
    <Compile Include="Partials\Genre.cs" />
    <Compile Include="Partials\Reference.cs" />
    <Compile Include="Partials\Synonym.cs" />
    <Compile Include="Partials\TwinTailDb.cs" />
    <Compile Include="Partials\WatchEntry.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Reference.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="Season.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="Synonym.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="TwinTail.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>TwinTail.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="TwinTail.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="TwinTail.Designer.cs">
      <DependentUpon>TwinTail.edmx</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="VideoSource.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="WatchEntry.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
    <Compile Include="WatchStatus.cs">
      <DependentUpon>TwinTail.tt</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EntityDeploy Include="TwinTail.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>TwinTail.Designer.cs</LastGenOutput>
      <CustomToolNamespace>TwinTail.Entities</CustomToolNamespace>
    </EntityDeploy>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.Config">
      <SubType>Designer</SubType>
    </None>
    <None Include="packages.config" />
    <None Include="TwinTail.edmx.diagram">
      <DependentUpon>TwinTail.edmx</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.5">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.5 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.SQL.Server.Compact.4.0">
      <Visible>False</Visible>
      <ProductName>SQL Server Compact 4.0 SP1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Sylpheed.Helpers\Sylpheed.Helpers.csproj">
      <Project>{b755c18a-ede5-4dd4-95c6-c3ada464d585}</Project>
      <Name>Sylpheed.Helpers</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="TwinTail.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>TwinTail.Context.cs</LastGenOutput>
      <DependentUpon>TwinTail.edmx</DependentUpon>
    </Content>
    <Content Include="TwinTail.edmx.sql" />
    <Content Include="TwinTail.sdf" />
    <Content Include="TwinTail.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>TwinTail.cs</LastGenOutput>
      <DependentUpon>TwinTail.edmx</DependentUpon>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>
    if not exist "$(TargetDir)x86" md "$(TargetDir)x86"
    xcopy /s /y "$(SolutionDir)packages\Microsoft.SqlServer.Compact.4.0.8876.1\NativeBinaries\x86\*.*" "$(TargetDir)x86"
    if not exist "$(TargetDir)amd64" md "$(TargetDir)amd64"
    xcopy /s /y "$(SolutionDir)packages\Microsoft.SqlServer.Compact.4.0.8876.1\NativeBinaries\amd64\*.*" "$(TargetDir)amd64"</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>